@import './styles/variables';

body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;

  background: $page-bg;
  color: $black;
}

* {
  box-sizing: border-box;
}

.section-title {
  font-size: 24px;
  line-height: 1;
  color: $black;
  padding: 0 0 8px;
  border-bottom: 1px solid $border-color;
  color: $black;
}

.btn {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  border-radius: $btn-radius;
  text-decoration: none;
  padding: 12px 24px;
  font-size: 14px;
  line-height: 1;
  font-weight: 600;
  min-width: $btn-min-width;
  background: $black;
  color: $white;
  border: 2px solid darken($black, 10);
  outline: none;
  box-shadow: none;
  cursor: pointer;
  transition: all 0.2s ease-in-out;

  &:hover {
    background: darken($black, 10);
  }

  &[disabled] {
    filter: grayscale(1);
    pointer-events: none;
  }

  &.sm {
    padding: 8px 14px;
    font-size: 14px;
    min-width: auto;
  }

  &.primary {
    color: $white;
    background-color: $main;
    border: 1px solid darken($main, 10);

    &:hover {
      background-color: darken($main, 10);
    }
  }

  &.danger {
    color: $white;
    background-color: $danger;
    border: 1px solid darken($danger, 10);

    &:hover {
      background-color: darken($danger, 10);
    }
  }
}

.input {
  display: flex;
  border: 2px solid $black;
  border-radius: 25px;
  overflow: hidden;

  background: $white;
  color: $black;

  input {
    border: none;
    padding: 0;
    outline: none;
    box-shadow: none;
    font-size: 14px;
    line-height: 1.4;
    font-weight: 400;
    padding: 10px 16px;
    border-radius: 25px;
    flex: 1 1 auto;
    background: $white;
    color: $black;

    &::placeholder {
      color: rgba($black, 0.8);
    }

    &:-webkit-autofill {
      -webkit-text-fill-color: $black;
      box-shadow: 0 0 0px 1000px $white inset;
    }
  }

  .password-btn {
    border-radius: 0;
  }
}
